LibreOffice: XPane2 Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XPane2 Interface Reference

An extension of the XPane interface that adds support for a) showing and hiding the windows that internally belong to the pane and b) setting the accessibility object. More...

## Public Member Functions
boolean | isVisible ()
| Return whether all windows that are used to implement the pane are visible.
void | setVisible ([in] boolean bIsVisible)
| Hide or show the pane.
void | setAccessible ([in] ::com::sun::star::accessibility::XAccessible xAccessible)
| Set the accessibility object for the pane.
::com::sun::star::accessibility::XAccessible | getAccessible ()
| Return the accessibility object that is currently associated with the windows that implement the pane.

## Detailed Description

An extension of the XPane interface that adds support for a) showing and hiding the windows that internally belong to the pane and b) setting the accessibility object.

This is typically an optional interface.

## Member Function Documentation

## ◆ getAccessible()

::com::sun::star::accessibility::XAccessible getAccessible | ( |  | ) |

Return the accessibility object that is currently associated with the windows that implement the pane.

## ◆ isVisible()

boolean isVisible | ( |  | ) |

Return whether all windows that are used to implement the pane are visible.

Returns
  `TRUE` when all windows of the pane are visible.

## ◆ setAccessible()

void setAccessible | ( | [in] ::com::sun::star::accessibility::XAccessible | xAccessible | ) |

Set the accessibility object for the pane.

When there is more than one window used to implement the pane then the given accessibility object is usually set at the topmost window. However, the details are implementation dependent.

Parameters

  xAccessible | May be an empty reference.

## ◆ setVisible()

void setVisible | ( | [in] boolean | bIsVisible | ) |

Hide or show the pane.

If there is more than one window used to implement the pane then it is left to the implementation if one, some, or all windows are hidden or shown as long as the pane becomes hidden or visible.

Parameters

  bIsVisible | When `TRUE` then show the pane. Hide it otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XPane2.idl